{ config, lib, pkgs, ... }:

{
  boot.kernelPackages = pkgs.linuxPackages_latest;

  # Bootloader, initrd and Kernel
  boot.loader.grub.enable = true;
  boot.loader.grub.enableCryptodisk = true;
  boot.loader.grub.version = 2;

  # workaround to disable CPU wining
  # current CPU has 9 idle cstates.
  boot.kernelParams = [ "intel_idle.max_cstate=9" ];

  # Workaround for nm-pptp to enforce module load
  boot.kernelModules = [ 
      "nf_conntrack_proto_gre"
      "nf_conntrack_pptp"
  ];

  boot.tmpOnTmpfs = true;
}
