# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, ... }:

{
    nix.maxJobs = 3;
    nix.buildCores = 3;

    hardware.enableAllFirmware = true;
    hardware.trackpoint.emulateWheel = true;

    boot.initrd.availableKernelModules = [ "xhci_pci" "ahci" "usb_storage" "sd_mod" "rtsx_pci_sdmmc" ];
    boot.kernelModules = [ "kvm-intel" ];
    boot.extraModprobeConfig = ''
      options kvm-intel nested=1
      options kvm-intel enable_shadow_vmcs=1
      options kvm-intel enable_apicv=1
      options kvm-intel ept=1
    '';
    boot.extraModulePackages = [ ];

    boot.loader.systemd-boot.enable = true;
    boot.loader.efi.canTouchEfiVariables = true;

    fileSystems."/boot" = { 
        device = "/dev/disk/by-uuid/445D-DBAA";
        fsType = "vfat";
    };

    fileSystems."/" = {
        device = "/dev/disk/by-uuid/948e84dc-5c4f-4051-8a13-efb30155839f";
        fsType = "btrfs";
        options = [ "subvol=nixos" ];
    };

    fileSystems."/home" = {
        device = "/dev/disk/by-uuid/948e84dc-5c4f-4051-8a13-efb30155839f";
        fsType = "btrfs";
        options = [ "subvol=home" ];
    };

    fileSystems."/var/lib/rkt" = {
        fsType = "tmpfs";
    };

    fileSystems."/var/lib/cni" = {
        fsType = "tmpfs";
    };

    swapDevices = [
        { label = "vg0swap"; }
    ];

    boot.loader.grub = {
        device = "/dev/sda";
        efiSupport = true;
    };

    boot.initrd.luks.devices = [ {
            name = "btrfsroot";
            device = "/dev/disk/by-uuid/0e6b5751-0e6d-4de7-84c3-17fe525c4c72";
            preLVM = true;
            allowDiscards = true;
        }
    ];
}
